> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List users. Filters: organization (UUID or name), email, search.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/users
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/users:
    get:
      tags:
        - Users
      summary: List Users
      description: 'List users. Filters: organization (UUID or name), email, search.'
      operationId: core_api_v1_controllers_users_list_users
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: organization
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Organization
          required: false
        - in: query
          name: email
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
          required: false
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    UserListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/UserOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: UserListOut
      type: object
    UserOut:
      properties:
        object:
          default: user
          title: Object
          type: string
        id:
          title: Id
          type: string
        email:
          title: Email
          type: string
        first_name:
          default: ''
          title: First Name
          type: string
        last_name:
          default: ''
          title: Last Name
          type: string
        is_customer:
          default: true
          title: Is Customer
          type: boolean
        email_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Domain
        organization:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Organization
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        permissions:
          anyOf:
            - items:
                $ref: '#/components/schemas/PermissionMini'
              type: array
            - type: 'null'
          title: Permissions
      required:
        - id
        - email
      title: UserOut
      type: object
    PermissionMini:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      required:
        - id
        - name
      title: PermissionMini
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````